#ifdef GL_ES										
precision lowp float;								
#endif												
													
varying vec4 v_fragmentColor;						
varying vec2 v_texCoord;							
uniform sampler2D CC_Texture0;						
													
void main()											
{
    
    //texture is black stroked and white color font,
    //we want at the end the stroke white and the font with the color we choose
    vec3 vectorOne = vec3(1.0);
    
    //1 - get texture color
    vec4 textureRGBA = texture2D(CC_Texture0, v_texCoord);
    
    //2 - create a color inverse of the needed
    vec3 colorNegated = vectorOne - v_fragmentColor.rgb;
    
    //3 - color the texture with the inverse color
    colorNegated = textureRGBA.rgb * colorNegated;
    
    //4 - invert the colors
    colorNegated = vectorOne - colorNegated;

    gl_FragColor = vec4(colorNegated, v_fragmentColor.a * textureRGBA.a);
}
